Classes | Public Types | Public Member Functions | List of all members
EvaluatorCacheT< EVALUATOR > Class Template Reference

`#include <mesh.h>`

## Classes
struct | Entry

## Public Types
typedef std::vector< Entry > | Evaluators

## Public Member Functions
| ~EvaluatorCacheT ()
template<typename DEVICE_CONTEXT >
EVALUATOR * | GetEvaluator (BufferDescriptor const &srcDesc, BufferDescriptor const &dstDesc, DEVICE_CONTEXT *deviceContext)
template<typename DEVICE_CONTEXT >
EVALUATOR * | GetEvaluator (BufferDescriptor const &srcDesc, BufferDescriptor const &dstDesc, BufferDescriptor const &duDesc, BufferDescriptor const &dvDesc, DEVICE_CONTEXT *deviceContext)

## Detailed Description

### template<typename EVALUATOR>
class OpenSubdiv::OPENSUBDIV_VERSION::Osd::EvaluatorCacheT< EVALUATOR >

Definition at line 184 of file mesh.h.

## Member Typedef Documentation

## § Evaluators

typedef std::vector<Entry> Evaluators

Definition at line 204 of file mesh.h.

## Constructor & Destructor Documentation

## § ~EvaluatorCacheT()

~EvaluatorCacheT | ( |  | ) |
| inline

Definition at line 186 of file mesh.h.

## Member Function Documentation

## § GetEvaluator() [1/2]

EVALUATOR* GetEvaluator | ( | BufferDescriptor const & | srcDesc,
|  | BufferDescriptor const & | dstDesc,
|  | DEVICE_CONTEXT * | deviceContext
| ) |  |
| inline

Definition at line 207 of file mesh.h.

## § GetEvaluator() [2/2]

EVALUATOR* GetEvaluator | ( | BufferDescriptor const & | srcDesc,
|  | BufferDescriptor const & | dstDesc,
|  | BufferDescriptor const & | duDesc,
|  | BufferDescriptor const & | dvDesc,
|  | DEVICE_CONTEXT * | deviceContext
| ) |  |
| inline

Definition at line 217 of file mesh.h.

The documentation for this class was generated from the following file:

- opensubdiv/osd/mesh.h